# Trait actix_protobuf::ProtoBufResponseBuilder

source · [−]

    pub trait ProtoBufResponseBuilder {
        fn protobuf<T: Message>(&mut self, value: T) -> Result<HttpResponse, Error>;
    }

## Required methods

source

#### fn protobuf<T: Message>(&mut self, value: T) -> Result<HttpResponse, Error>

## Implementations on Foreign Types

source

### impl ProtoBufResponseBuilder for HttpResponseBuilder

source

#### fn protobuf<T: Message>(&mut self, value: T) -> Result<HttpResponse, Error>

## Implementors